> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment services

> List the configured payment services.

This API is different from the [list connections](../connections/list-connections) because
it only returns payment services and not anti-fraud and gift card services.

This endpoint requires the `payment-services.read` scope.


## OpenAPI

````yaml /openapi.speakeasy.json GET /payment-services
openapi: 3.1.0
info:
  title: Gr4vy
  description: The Gr4vy API.
  version: 1.0.0
servers:
  - url: https://api.sandbox.{id}.gr4vy.app
    x-speakeasy-server-id: sandbox
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
  - url: https://api.{id}.gr4vy.app
    x-speakeasy-server-id: production
    variables:
      id:
        default: example
        description: The subdomain for your Gr4vy instance.
security:
  - bearerAuth: []
tags:
  - name: 3DS scenarios
    description: Manage and create 3DS scenarios in sandbox.
  - name: Account updater
    description: Schedule stored cards for an account update.
  - name: Audit logs
    description: Query user activity.
  - name: Buyers
    description: Manage buyers.
  - name: Buyers - Gift cards
    description: Query gift cards for buyers.
  - name: Buyers - Payment methods
    description: Query payment methods for buyers.
  - name: Buyers - Shipping details
    description: Manage shipping details for buyers.
  - name: Card details
    description: Returns information about a card.
  - name: Card scheme definitions
    description: List definitions for card schemes.
  - name: Checkout sessions
    description: Manage checkout sessions.
  - name: Digital wallets - Sessions
    description: Create sessions for digital wallets like Apple Pay and Google Pay.
  - name: Digital wallets - Setup
    description: Manage digital wallets like Apple Pay and Google Pay.
  - name: Gift cards
    description: Manage stored gift cards.
  - name: Insights
    description: Retrieve Insights data.
  - name: Insights - Presets
    description: Manage presets for Insights.
  - name: Merchant accounts
    description: Manage merchant accounts in an instance.
  - name: Merchant accounts - 3DS configuration
    description: Manage 3DS profiles for merchant accounts.
  - name: Monitoring
    description: Manage monitoring and alerting.
  - name: Payment links
    description: Manage payment links.
  - name: Payment methods
    description: Manage stored payment methods.
  - name: Payment methods - Definitions
    description: Manage payment method definitions.
  - name: Payment methods - Network tokens
    description: Manage network tokens for stored payment methods.
  - name: Payment methods - Payment service tokens
    description: Manage payment service tokens for stored payment methods.
  - name: Payment options
    description: Fetch a list of payment options to display at checkout.
  - name: Payment service definitions
    description: Fetch info about the definition of each payment service.
  - name: Payment services
    description: Manage configured payment services.
  - name: Payouts
    description: Payout API.
  - name: Refunds
    description: Manage transaction refunds.
  - name: Reports
    description: Manage one-off and scheduled reports.
  - name: Reports - Executions
    description: Manage executions of reports.
  - name: Transactions
    description: Manage transaction.
  - name: Transactions - Actions
    description: Read Flow actions triggered for a transaction.
  - name: Transactions - Chargebacks
    description: Read transaction chargeback data.
  - name: Transactions - Chargeback reversals
    description: Read transaction chargeback reversal data.
  - name: Transactions - Settlements
    description: Read transaction settlement data.
  - name: Transactions - Sessions
    description: Manage transaction session data.
  - name: Webhook subscriptions
    description: Manage webhook subscriptions.
paths:
  /payment-services:
    get:
      tags:
        - Payment services
      summary: List payment services
      description: List the configured payment services.
      operationId: list_payment_services
      parameters:
        - name: method
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - abitab
                  - affirm
                  - afterpay
                  - alipay
                  - alipayhk
                  - applepay
                  - arcuspaynetwork
                  - bacs
                  - bancontact
                  - bank
                  - banked
                  - bcp
                  - becs
                  - bitpay
                  - blik
                  - ach
                  - boleto
                  - boost
                  - breb
                  - capitec
                  - card
                  - cashapp
                  - chaseorbital
                  - clearpay
                  - click-to-pay
                  - dana
                  - dcb
                  - dlocal
                  - ebanx
                  - eckoh
                  - efecty
                  - eps
                  - everydaypay
                  - gcash
                  - gem
                  - gemds
                  - gift-card
                  - giropay
                  - givingblock
                  - gocardless
                  - googlepay
                  - googlepay_pan_only
                  - gopay
                  - grabpay
                  - ideal
                  - kakaopay
                  - kcp
                  - khipu
                  - klarna
                  - latitude
                  - latitudeds
                  - laybuy
                  - linepay
                  - linkaja
                  - maybankqrpay
                  - mercadopago
                  - multibanco
                  - multipago
                  - nequi
                  - netbanking
                  - network-token
                  - nupay
                  - oney_10x
                  - oney_12x
                  - oney_3x
                  - oney_4x
                  - oney_6x
                  - onlinebankingcz
                  - ovo
                  - oxxo
                  - p24
                  - pagoefectivo
                  - payid
                  - paymaya
                  - paypal
                  - paypalpaylater
                  - paypay
                  - payto
                  - payvalida
                  - paze
                  - picpay
                  - pix
                  - plaid
                  - pse
                  - rabbitlinepay
                  - razorpay
                  - rapipago
                  - redpagos
                  - scalapay
                  - sepa
                  - servipag
                  - shopeepay
                  - singteldash
                  - smartpay
                  - sofort
                  - spei
                  - stitch
                  - swish
                  - stripedd
                  - stripetoken
                  - tapi
                  - tapifintechs
                  - thaiqr
                  - touchngo
                  - truemoney
                  - trustly
                  - trustlyeurope
                  - upi
                  - venmo
                  - vipps
                  - waave
                  - webpay
                  - wechat
                  - wero
                  - yape
                  - zippay
                title: Method
                x-speakeasy-unknown-values: allow
                overlay: 1.0.0
              - type: 'null'
            description: Return any payment service for this method.
            examples:
              - card
            title: Method
          description: Return any payment service for this method.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: A pointer to the page of results to return.
            examples:
              - ZXhhbXBsZTE
            title: Cursor
          description: A pointer to the page of results to return.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: The maximum number of items that are at returned.
            examples:
              - 20
            default: 20
            title: Limit
          description: The maximum number of items that are at returned.
        - name: deleted
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Return any deleted payment service.
            examples:
              - true
            default: false
            title: Deleted
          description: Return any deleted payment service.
        - name: x-gr4vy-merchant-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ID of the merchant account to use for this request.
            examples:
              - default
            title: X-Gr4Vy-Merchant-Account-Id
          description: The ID of the merchant account to use for this request.
          x-speakeasy-name-override: merchantAccountId
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentServices'
        '400':
          description: The request was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: The request was unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: >-
            The credentials were invalid or the caller did not have permission
            to act on the resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: The resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error404'
        '405':
          description: The request method was not allowed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error405'
        '409':
          description: A duplicate record was found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error409'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '425':
          description: The request was too early.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error425'
        '429':
          description: Too many requests were made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error429'
        '500':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
        '502':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error502'
        '504':
          description: The server encountered an error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error504'
      x-codeSamples:
        - lang: javascript
          label: TypeScript
          source: |-
            import { Gr4vy, withToken } from "@gr4vy/sdk";
            import fs from "fs";

            const gr4vy = new Gr4vy({
                id: "example",
                server: "sandbox",
                merchantAccountId: "default",
                bearerAuth: withToken({
                  privateKey: fs.readFileSync("private_key.pem", "utf8"),
                }),
            });

            async function run() {
              const result = await gr4vy.paymentServices.list();

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
        - lang: python
          label: Python
          source: |-
            from gr4vy import Gr4vy
            import os


            with Gr4vy(
                id="example",
                server="sandbox",
                merchant_account_id="default",
                bearer_auth=auth.with_token(open("./private_key.pem").read())
            ) as g_client:

                res = g_client.payment_services.list(cursor="ZXhhbXBsZTE", limit=20, deleted=True)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := gr4vygo.New(\n        gr4vygo.WithMerchantAccountID(\"default\"),\n        gr4vygo.WithSecurity(os.Getenv(\"GR4VY_BEARER_AUTH\")),\n    )\n\n    res, err := s.PaymentServices.List(ctx, operations.ListPaymentServicesRequest{\n        Cursor: gr4vygo.Pointer(\"ZXhhbXBsZTE\"),\n        Deleted: gr4vygo.Pointer(true),\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: php
          label: PHP
          source: |-
            declare(strict_types=1);

            require 'vendor/autoload.php';

            use Gr4vy;

            $sdk = Gr4vy\SDK::builder()
                ->setId('example')
                ->setServer('sandbox')
                ->setSecuritySource(Auth::withToken($privateKey))
                ->setMerchantAccountId('default')
                ->build();

            $request = new Gr4vy\ListPaymentServicesRequest(
                method: 'card',
                cursor: 'ZXhhbXBsZTE',
                deleted: true,
            );

            $responses = $sdk->paymentServices->list(
                request: $request
            );


            foreach ($responses as $response) {
                if ($response->statusCode === 200) {
                    // handle response
                }
            }
        - lang: java
          label: Java
          source: |-
            package hello.world;

            import com.gr4vy.sdk.Gr4vy;
            import com.gr4vy.sdk.models.errors.*;
            import com.gr4vy.sdk.models.operations.ListPaymentServicesRequest;
            import com.gr4vy.sdk.models.operations.ListPaymentServicesResponse;
            import java.lang.Exception;

            public class Application {

                public static void main(String[] args) throws Exception {

                    Gr4vy sdk = Gr4vy.builder()
                            .merchantAccountId("default")
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListPaymentServicesRequest req = ListPaymentServicesRequest.builder()
                            .cursor("ZXhhbXBsZTE")
                            .deleted(true)
                            .build();


                    sdk.paymentServices().list()
                            .callAsStream()
                            .forEach((ListPaymentServicesResponse item) -> {
                               // handle page
                            });

                }
            }
        - lang: csharp
          label: C#
          source: >-
            using Gr4vy;

            using Gr4vy.Models.Components;

            using Gr4vy.Models.Requests;


            var sdk = new Gr4vySDK(
                id: "example",
                server: SDKConfig.Server.Sandbox,
                bearerAuthSource: Auth.WithToken(privateKey),
                merchantAccountId: "default"
            );


            ListPaymentServicesRequest req = new ListPaymentServicesRequest() {
                Method = "card",
                Cursor = "ZXhhbXBsZTE",
                Deleted = true,
            };


            ListPaymentServicesResponse? res = await
            sdk.PaymentServices.ListAsync(req);


            while(res != null)

            {
                // handle items

                res = await res.Next!();
            }
components:
  schemas:
    PaymentServices:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PaymentService'
          type: array
          title: Items
          description: A list of items returned for this request.
        limit:
          type: integer
          maximum: 100
          minimum: 1
          title: Limit
          description: The number of items for this page.
          default: 20
          examples:
            - 20
        next_cursor:
          anyOf:
            - type: string
              maxLength: 1000
              minLength: 1
            - type: 'null'
          title: Next Cursor
          description: The cursor pointing at the next page of items.
          examples:
            - ZXhhbXBsZTE
        previous_cursor:
          anyOf:
            - type: string
              maxLength: 1000
              minLength: 1
            - type: 'null'
          title: Previous Cursor
          description: The cursor pointing at the previous page of items.
          examples:
            - Xkjss7asS
      additionalProperties: false
      type: object
      required:
        - items
      title: PaymentServices
    Error400:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_request`
          default: bad_request
          examples:
            - bad_request
        status:
          type: integer
          title: Status
          description: Always `400`.
          default: 400
          examples:
            - 400
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error400
    Error401:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `unauthorized`
          default: unauthorized
          examples:
            - unauthorized
        status:
          type: integer
          title: Status
          description: Always `401`.
          default: 401
          examples:
            - 401
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: No valid API authentication found
          examples:
            - No valid API authentication found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error401
    Error403:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `forbidden`
          default: forbidden
          examples:
            - forbidden
        status:
          type: integer
          title: Status
          description: Always `403`.
          default: 403
          examples:
            - 403
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error403
    Error404:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `not_found`
          default: not_found
          examples:
            - not_found
        status:
          type: integer
          title: Status
          description: Always `404`.
          default: 404
          examples:
            - 404
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: The resource could not be found
          examples:
            - The resource could not be found
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error404
    Error405:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `method_not_allowed`
          default: method_not_allowed
          examples:
            - method_not_allowed
        status:
          type: integer
          title: Status
          description: Always `405`.
          default: 405
          examples:
            - 405
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Method Not Allowed
          examples:
            - Method Not Allowed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error405
    Error409:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `duplicate_record`
          default: duplicate_record
          examples:
            - duplicate_record
        status:
          type: integer
          title: Status
          description: Always `409`.
          default: 409
          examples:
            - 409
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Id
          description: The ID of the conflicting resource.
          examples:
            - cdc70639-cb9c-4222-a73f-b8ce39f7821b
      additionalProperties: false
      type: object
      title: Error409
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Error425:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_early`
          default: too_early
          examples:
            - too_early
        status:
          type: integer
          title: Status
          description: Always `425`.
          default: 425
          examples:
            - 425
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error425
    Error429:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `too_many_requests`
          default: too_many_requests
          examples:
            - too_many_requests
        status:
          type: integer
          title: Status
          description: Always `429`.
          default: 429
          examples:
            - 429
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Generic error
          examples:
            - Request failed validation
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error429
    Error500:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `server_error`
          default: server_error
          examples:
            - server_error
        status:
          type: integer
          title: Status
          description: Always `500`.
          default: 500
          examples:
            - 500
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error500
    Error502:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `bad_gateway`
          default: bad_gateway
          examples:
            - bad_gateway
        status:
          type: integer
          title: Status
          description: Always `502`.
          default: 502
          examples:
            - 502
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error502
    Error504:
      properties:
        type:
          type: string
          const: error
          title: Type
          description: Always `error`.
          default: error
          examples:
            - error
        code:
          type: string
          title: Code
          description: Always `gateway_timeout`
          default: gateway_timeout
          examples:
            - gateway_timeout
        status:
          type: integer
          title: Status
          default: 504
        message:
          type: string
          title: Message
          description: A human readable message that provides more context to the error.
          default: Request could not be processed
          examples:
            - Request could not be processed
        details:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Details
          description: A list of details that further ellaborate on the error.
          default: []
      additionalProperties: false
      type: object
      title: Error504
    PaymentService:
      properties:
        type:
          type: string
          const: payment-service
          title: Type
          description: Always `payment-service`
          default: payment-service
          examples:
            - payment-service
        id:
          type: string
          format: uuid
          title: Id
          default: The ID of the payment service
          examples:
            - fffd152a-9532-4087-9a4f-de58754210f0
        merchant_account_id:
          type: string
          title: Merchant Account Id
          description: The ID of the merchant account this job belongs to.
          examples:
            - default
        payment_service_definition_id:
          type: string
          maxLength: 50
          minLength: 1
          title: Payment Service Definition Id
          description: The definition ID of the service that has been configured.
          examples:
            - stripe-card
        active:
          type: boolean
          title: Active
          description: Defines if this payment service is currently active.
          default: true
          examples:
            - true
            - false
        method:
          description: The payment method that this service supports.
          examples:
            - card
          type: string
          enum:
            - abitab
            - affirm
            - afterpay
            - alipay
            - alipayhk
            - applepay
            - arcuspaynetwork
            - bacs
            - bancontact
            - bank
            - banked
            - bcp
            - becs
            - bitpay
            - blik
            - ach
            - boleto
            - boost
            - breb
            - capitec
            - card
            - cashapp
            - chaseorbital
            - clearpay
            - click-to-pay
            - dana
            - dcb
            - dlocal
            - ebanx
            - eckoh
            - efecty
            - eps
            - everydaypay
            - gcash
            - gem
            - gemds
            - gift-card
            - giropay
            - givingblock
            - gocardless
            - googlepay
            - googlepay_pan_only
            - gopay
            - grabpay
            - ideal
            - kakaopay
            - kcp
            - khipu
            - klarna
            - latitude
            - latitudeds
            - laybuy
            - linepay
            - linkaja
            - maybankqrpay
            - mercadopago
            - multibanco
            - multipago
            - nequi
            - netbanking
            - network-token
            - nupay
            - oney_10x
            - oney_12x
            - oney_3x
            - oney_4x
            - oney_6x
            - onlinebankingcz
            - ovo
            - oxxo
            - p24
            - pagoefectivo
            - payid
            - paymaya
            - paypal
            - paypalpaylater
            - paypay
            - payto
            - payvalida
            - paze
            - picpay
            - pix
            - plaid
            - pse
            - rabbitlinepay
            - razorpay
            - rapipago
            - redpagos
            - scalapay
            - sepa
            - servipag
            - shopeepay
            - singteldash
            - smartpay
            - sofort
            - spei
            - stitch
            - swish
            - stripedd
            - stripetoken
            - tapi
            - tapifintechs
            - thaiqr
            - touchngo
            - truemoney
            - trustly
            - trustlyeurope
            - upi
            - venmo
            - vipps
            - waave
            - webpay
            - wechat
            - wero
            - yape
            - zippay
          title: Method
          x-speakeasy-unknown-values: allow
          overlay: 1.0.0
        display_name:
          type: string
          maxLength: 200
          minLength: 1
          title: Display Name
          description: The display name for the payment service.
          examples:
            - Stripe
        position:
          type: integer
          title: Position
          description: >-
            Deprecated field used to define the order in which to process
            payment services
          examples:
            - 1
        status:
          default: The current status of this service.
          examples:
            - created
          type: string
          enum:
            - pending
            - created
            - failed
          title: PaymentServiceStatus
          x-speakeasy-unknown-values: allow
          overlay: 1.0.0
        accepted_currencies:
          items:
            type: string
            pattern: ^[A-Z]{3}$
            examples:
              - EUR
              - GBP
              - USD
          type: array
          title: Accepted Currencies
          description: >-
            A list of currencies for which this service is enabled, in ISO 4217
            three-letter code format.
          examples:
            - - USD
              - EUR
              - GBP
        accepted_countries:
          items:
            type: string
            pattern: ^[A-Z]{2}$
            examples:
              - DE
              - GB
              - US
          type: array
          title: Accepted Countries
          description: >-
            A list of countries for which this service is enabled, in ISO
            two-letter code format.
          examples:
            - - US
              - DE
              - GB
        payment_method_tokenization_enabled:
          type: boolean
          title: Payment Method Tokenization Enabled
          description: Defines if this payment service support payment method tokenization.
          examples:
            - true
        network_tokens_enabled:
          type: boolean
          title: Network Tokens Enabled
          description: Defines if this payment service supports network tokens.
          examples:
            - true
        open_loop:
          type: boolean
          title: Open Loop
          description: Defines if this payment service is open loop.
          examples:
            - true
        settlement_reporting_enabled:
          type: boolean
          title: Settlement Reporting Enabled
          description: Defines if this payment service has settlement reporting enabled.
          examples:
            - true
        three_d_secure_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Three D Secure Enabled
          description: Defines if this payment service has 3DS enabled.
          examples:
            - true
        merchant_profile:
          anyOf:
            - additionalProperties:
                anyOf:
                  - $ref: '#/components/schemas/MerchantProfileSchemeSummary'
                  - type: 'null'
              propertyNames:
                type: string
                enum:
                  - accel
                  - amex
                  - bancontact
                  - carte-bancaire
                  - cirrus
                  - culiance
                  - dankort
                  - diners-club
                  - discover
                  - eftpos-australia
                  - elo
                  - hipercard
                  - jcb
                  - maestro
                  - mastercard
                  - mir
                  - nyce
                  - other
                  - pulse
                  - qcard
                  - rupay
                  - star
                  - uatp
                  - unionpay
                  - visa
                title: CardScheme
                x-speakeasy-unknown-values: allow
                overlay: 1.0.0
              type: object
            - type: 'null'
          title: Merchant Profile
          description: >-
            An object containing a key for each supported card schemes, and for
            each key an object with the 3DS profile for this service for that
            scheme.
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
          description: >-
            The URL that needs to be configured with this payment service as the
            receiving endpoint for webhooks from the service to our system.
            Currently, we dp not yet automatically register webhooks on setup,
            and therefore webhooks need to be registered manually by the
            merchant.
        fields:
          anyOf:
            - items:
                $ref: '#/components/schemas/Field'
              type: array
            - type: 'null'
          title: Fields
          description: >-
            The non-secret credential fields that have been configured for this
            payment service. Any secret fields are omitted.
        reporting_fields:
          anyOf:
            - items:
                $ref: '#/components/schemas/Field'
              type: array
            - type: 'null'
          title: Reporting Fields
          description: >-
            The non-secret reporting fields that have been configured for this
            payment service. Any secret fields are omitted.
        is_deleted:
          type: boolean
          title: Is Deleted
          description: Defines if this payment service has been deleted
          default: false
          examples:
            - false
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The date and time when this payment service was first created in our
            system.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: >-
            The date and time when this payment service was last updated in our
            system.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
      additionalProperties: false
      type: object
      required:
        - merchant_account_id
        - payment_service_definition_id
        - method
        - display_name
        - position
        - accepted_currencies
        - accepted_countries
        - payment_method_tokenization_enabled
        - network_tokens_enabled
        - open_loop
        - settlement_reporting_enabled
        - created_at
        - updated_at
      title: PaymentService
    ErrorDetail:
      properties:
        location:
          description: >-
            The part of the request where the property can be found that caused
            the error.
          examples:
            - body
          type: string
          enum:
            - query
            - body
            - path
            - header
            - unknown
          title: ErrorLocation
          x-speakeasy-unknown-values: allow
          overlay: 1.0.0
        pointer:
          anyOf:
            - type: string
              format: json-pointer
            - type: string
          title: Pointer
          description: A JSON pointer for the particular property that caused the error.
          examples:
            - /currency
        message:
          type: string
          title: Message
          description: A human-readdable explanation of the error.
          examples:
            - 'Unknown ISO 4217 currency code: USX'
        type:
          type: string
          title: Type
          description: The type of error that was raised for this property.
          examples:
            - value_error
      additionalProperties: false
      type: object
      required:
        - location
        - pointer
        - message
        - type
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MerchantProfileSchemeSummary:
      properties:
        merchant_acquirer_bin:
          type: string
          maxLength: 11
          title: Merchant Acquirer Bin
          description: Acquirer BIN to use when calling 3DS through this scheme.
          examples:
            - '516327'
        merchant_acquirer_id:
          type: string
          maxLength: 35
          title: Merchant Acquirer Id
          description: Merchant ID to use when calling 3DS through this scheme.
          examples:
            - '123456789012345'
        merchant_name:
          type: string
          maxLength: 40
          title: Merchant Name
          description: ''
          examples:
            - Acme Inc.
        merchant_country_code:
          type: string
          title: Merchant Country Code
          description: The merchant's ISO 3166-1 numeric country code.
          examples:
            - '840'
        merchant_category_code:
          type: string
          maxLength: 4
          minLength: 4
          title: Merchant Category Code
          description: Merchant category code to use when calling 3DS through this scheme.
          examples:
            - '1234'
        merchant_url:
          type: string
          title: Merchant Url
          description: URL to send when calling 3DS through this scheme.
          examples:
            - https://example.com
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when this profile was first created in our system.
          examples:
            - '2013-07-16T19:23:00.000+00:00'
      additionalProperties: false
      type: object
      required:
        - merchant_acquirer_bin
        - merchant_acquirer_id
        - merchant_name
        - merchant_country_code
        - merchant_category_code
        - merchant_url
        - created_at
      title: MerchantProfileSchemeSummary
    Field:
      properties:
        key:
          type: string
          maxLength: 50
          minLength: 1
          title: Key
          description: The ID of the configured field.
          examples:
            - api_key
        value:
          type: string
          maxLength: 5000
          minLength: 1
          title: Value
          description: The value of the configured field.
          examples:
            - key-12345
      additionalProperties: false
      type: object
      required:
        - key
        - value
      title: Field
      description: A field used in a payment service
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````